Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.wzcmh.common.v3
Class ObjectFactory

    java.lang.Object
      be.vlaanderen.mercurius.wzcmh.common.v3.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.vlaanderen.mercurius.wzcmh.common.v3 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.vlaanderen.mercurius.wzcmh.common.v3

Method Summary
`AcceptedDependencyCategoryType` | `createAcceptedDependencyCategoryType()` Create an instance of `AcceptedDependencyCategoryType`
`CertificateType` | `createCertificateType()` Create an instance of `CertificateType`
`ContinenceValueType` | `createContinenceValueType()` Create an instance of `ContinenceValueType`
`DetailType` | `createDetailType()` Create an instance of `DetailType`
`DocumentListType` | `createDocumentListType()` Create an instance of `DocumentListType`
`DocumentType` | `createDocumentType()` Create an instance of `DocumentType`
`ErrorListType` | `createErrorListType()` Create an instance of `ErrorListType`
`ErrorType` | `createErrorType()` Create an instance of `ErrorType`
`IndicationReportType` | `createIndicationReportType()` Create an instance of `IndicationReportType`
`MessageMetadataType` | `createMessageMetadataType()` Create an instance of `MessageMetadataType`
`NotificationListType` | `createNotificationListType()` Create an instance of `NotificationListType`
`NotificationType` | `createNotificationType()` Create an instance of `NotificationType`
`SpaceValueType` | `createSpaceValueType()` Create an instance of `SpaceValueType`
`TimeValueType` | `createTimeValueType()` Create an instance of `TimeValueType`
`ToClothValueType` | `createToClothValueType()` Create an instance of `ToClothValueType`
`ToEatValueType` | `createToEatValueType()` Create an instance of `ToEatValueType`
`ToMoveValueType` | `createToMoveValueType()` Create an instance of `ToMoveValueType`
`ToVisitToiletValueType` | `createToVisitToiletValueType()` Create an instance of `ToVisitToiletValueType`
`ToWashValueType` | `createToWashValueType()` Create an instance of `ToWashValueType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.vlaanderen.mercurius.wzcmh.common.v3

Method Detail

### createAcceptedDependencyCategoryType

    public AcceptedDependencyCategoryType createAcceptedDependencyCategoryType()

  Create an instance of `AcceptedDependencyCategoryType`

### createCertificateType

    public CertificateType createCertificateType()

  Create an instance of `CertificateType`

### createContinenceValueType

    public ContinenceValueType createContinenceValueType()

  Create an instance of `ContinenceValueType`

### createDetailType

    public DetailType createDetailType()

  Create an instance of `DetailType`

### createDocumentListType

    public DocumentListType createDocumentListType()

  Create an instance of `DocumentListType`

### createDocumentType

    public DocumentType createDocumentType()

  Create an instance of `DocumentType`

### createErrorListType

    public ErrorListType createErrorListType()

  Create an instance of `ErrorListType`

### createErrorType

    public ErrorType createErrorType()

  Create an instance of `ErrorType`

### createIndicationReportType

    public IndicationReportType createIndicationReportType()

  Create an instance of `IndicationReportType`

### createMessageMetadataType

    public MessageMetadataType createMessageMetadataType()

  Create an instance of `MessageMetadataType`

### createNotificationListType

    public NotificationListType createNotificationListType()

  Create an instance of `NotificationListType`

### createNotificationType

    public NotificationType createNotificationType()

  Create an instance of `NotificationType`

### createSpaceValueType

    public SpaceValueType createSpaceValueType()

  Create an instance of `SpaceValueType`

### createTimeValueType

    public TimeValueType createTimeValueType()

  Create an instance of `TimeValueType`

### createToClothValueType

    public ToClothValueType createToClothValueType()

  Create an instance of `ToClothValueType`

### createToEatValueType

    public ToEatValueType createToEatValueType()

  Create an instance of `ToEatValueType`

### createToMoveValueType

    public ToMoveValueType createToMoveValueType()

  Create an instance of `ToMoveValueType`

### createToVisitToiletValueType

    public ToVisitToiletValueType createToVisitToiletValueType()

  Create an instance of `ToVisitToiletValueType`

### createToWashValueType

    public ToWashValueType createToWashValueType()

  Create an instance of `ToWashValueType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.